View Issue Details

IDProjectCategoryView StatusLast Update
0037828LazarusPrinterpublic2020-10-02 17:55
ReporterLagunov Aleksey Assigned ToBart Broersma  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformlinux 
Product Version2.1 (SVN) 
Summary0037828: printers dont compile after rev.63930
Descriptionprinters dont compile after rev.63930
Additional Information/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(265,24) Error: (3047) Method identifier expected
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(271,58) Error: (5000) Identifier not found "fCustomPaperWidth"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(272,39) Error: (5000) Identifier not found "fCustomPaperHeight"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(273,35) Error: (3026) Wrong number of parameters specified for call to "<Procedure Variable>"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1214,6) Error: (5000) Identifier not found "cpsCustomPaperValid"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1235,37) Error: (5000) Identifier not found "cpsCustomPaperValid"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1249,22) Error: (5000) Identifier not found "cpsCustomPaperValid"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1265,37) Error: (5000) Identifier not found "cpsCustomPaperValid"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1268,42) Error: (5000) Identifier not found "fCustomPaperWidth"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1269,43) Error: (5000) Identifier not found "fCustomPaperHeight"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1385,23) Error: (3047) Method identifier expected
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1390,13) Error: (5000) Identifier not found "fStates"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1390,22) Error: (5000) Identifier not found "cpsCustomPaperValid"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1391,5) Error: (5000) Identifier not found "fCustomPaperWidth"
/usr/local/share/lazarus/components/printers/./unix/cupsprinters.inc(1392,5) Error: (5000) Identifier not found "fCustomPaperHeight"
/usr/local/share/lazarus/components/printers/osprinters.pas(107,1) Fatal: (10026) There were 15 errors compiling module, stopping
TagsNo tags attached.
Fixed in Revisionr63932
LazTarget-
Widgetset
Attached Files

Activities

Anton Kavalenka

2020-09-28 14:56

reporter   ~0125923

*Strong Words Here*
cups_fix.diff (836 bytes)   
Index: components/printers/unix/cupsprinters_h.inc
===================================================================
--- components/printers/unix/cupsprinters_h.inc	(revision 63931)
+++ components/printers/unix/cupsprinters_h.inc	(working copy)
@@ -67,7 +67,8 @@
     cpsPaperNameValid,
     cpsCopiesValid,
     cpsPaperRectValid,
-    cpsResolutionValid
+    cpsResolutionValid,
+    cpsCustomPaperValid
     );
   TCUPSPrinterStates = set of TCUPSPrinterState;
 
@@ -95,10 +96,10 @@
      fRawModeStream: TMemoryStream;
      FOutputFilename: string;
      fCachedResolution: TPoint;
-
+     fCustomPaperWidth,fCustomPaperHeight:single;
      function GetCupsRequest : Pipp_t;
      procedure DoCupsConnect;
-
+     procedure DoCustomPaper;
   private
      fCupsPapersCount: Integer;
      function  CupsPapersListValid: boolean;
cups_fix.diff (836 bytes)   

Bart Broersma

2020-09-28 20:41

developer   ~0125939

Please try with revision 63932.

Lagunov Aleksey

2020-10-01 07:12

reporter   ~0126012

Last edited: 2020-10-01 07:12

View 2 revisions

work normal. please close.

Bart Broersma

2020-10-01 10:52

developer   ~0126017

Please close

Issue History

Date Modified Username Field Change
2020-09-28 07:32 Lagunov Aleksey New Issue
2020-09-28 14:56 Anton Kavalenka Note Added: 0125923
2020-09-28 14:56 Anton Kavalenka File Added: cups_fix.diff
2020-09-28 20:41 Bart Broersma Note Added: 0125939
2020-09-28 20:42 Bart Broersma Status new => feedback
2020-09-28 20:42 Bart Broersma LazTarget => -
2020-10-01 07:12 Lagunov Aleksey Note Added: 0126012
2020-10-01 07:12 Lagunov Aleksey Status feedback => new
2020-10-01 07:12 Lagunov Aleksey Note Edited: 0126012 View Revisions
2020-10-01 10:52 Bart Broersma Assigned To => Bart Broersma
2020-10-01 10:52 Bart Broersma Status new => resolved
2020-10-01 10:52 Bart Broersma Resolution open => fixed
2020-10-01 10:52 Bart Broersma Fixed in Revision => r63932
2020-10-01 10:52 Bart Broersma Note Added: 0126017